##### execution_context::execution_context (3 of 4 overloads)

Constructor.

    execution_context(
        const service_maker & initial_services);

Construct with a service maker, to create an initial set of services that will be installed into the execution context at construction time.

###### Parameters

initial_services

  Used to create the initial services. The `make` function will be called once at the end of `execution_context` construction.